/*******************************************************************************
* fortran.h -- Include file for all FORTRAN interface routines.
*
* Mark R. Showalter, 25 July 1995.
*******************************************************************************/

/*******************************************************************************
* The macro FORTRAN_NAME converts a C function name to the form that is required
* when it is called by a FORTRAN program.  On many UNIX systems, subprograms
* called from FORTRAN have an implied underscore character at the ends of their
* names.  This macro takes care of this operating system quirk.
*******************************************************************************/

#ifdef VMS
#define FORTRAN_NAME(name)	name

#else

#ifdef __APPLE__
/* #define FORTRAN_NAME(name)	_##name */
#define FORTRAN_NAME(name)	name

#else

#ifdef __STDC__
#define FORTRAN_NAME(name)	name##_

#else
#define FORTRAN_NAME(name)	name/**/_

#endif
#endif
#endif

/******************************************************************************/
